## org.apache.lucene.search
Class FieldCache.StringIndex

    java.lang.Object
      org.apache.lucene.search.FieldCache.StringIndex

Enclosing interface:
  FieldCache

    public static class FieldCache.StringIndex

extends java.lang.Object

Expert: Stores term text values and document ordering data.

Field Summary
`java.lang.String[]` `lookup` All the term values, in natural order.
`int[]` `order` For each document, an index into the lookup array.

Constructor Summary
`FieldCache.StringIndex(int[] values, java.lang.String[] lookup)` Creates one of these objects

Method Summary
`int` `binarySearchLookup(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lookup

    public final java.lang.String[] lookup

  All the term values, in natural order.

### order

    public final int[] order

  For each document, an index into the lookup array.

Constructor Detail

### FieldCache.StringIndex

    public FieldCache.StringIndex(int[] values,
                                  java.lang.String[] lookup)

  Creates one of these objects

Method Detail

### binarySearchLookup

    public int binarySearchLookup(java.lang.String key)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.